Module | Sequel::Swift
In: | lib/sequel/adapters/swift.rb lib/sequel/adapters/swift/mysql.rb lib/sequel/adapters/swift/postgres.rb

Module holding the Swift support for Sequel. Swift is a ruby front-end for dbic++, a fast database access library written in C++.

The Swift adapter currently supports PostgreSQL and MySQL:

      Sequel.connect('swift://user:password@host/database?db_type=postgres')
      Sequel.connect('swift://user:password@host/database?db_type=mysql')

### Classes and Modules

Module Sequel::Swift::MySQL
Module Sequel::Swift::Postgres

### Constants

DATABASE_SETUP | = | {:postgres=>proc do |db| Sequel.ts_require 'adapters/swift/postgres' |  | Contains procs keyed on sub adapter type that extend the given database object so it supports the correct database type.

[Validate]